Important Message : Heartbleed threat

System Message from : StuffAlert Support    |    Date : 16th April 2014.


Heartbleed logo/graphic

Heartbleed Bug

You will no doubt be aware of the Heartbleed bug that has been reported globally. The account information held by StuffAlert is of low sensitivity, however our servers were potentially vulnerable to the Heartbleed bug.

System Updates

We have taken action and patched our servers and updated our SSL certificates to ensure they conform to the latest security standards making StuffAlert no longer vulnerable to the Heartbleed bug.



gear/settings icon

What you should do

Though we have no evidence that StuffAlert has been compromised, WE DO RECOMMEND YOU CHANGE YOUR PASSWORD when you next sign-in to StuffAlert. Click Here to reset your password.


Useful links :



Message Alert icon

Additional Recommendation

This vulnerability has existed for some time, so we also recommend that you change passwords on all sensitive sites to be safe, though you may want to wait a few days and check with the website to make sure they have updated their certificates to patch the issue.



Info icon

More information on Heartbleed

Please don't hesitate to Contact Us if you have any further questions.

Signature text as image

16th April 2014